Huginn e Muninn

Blog del Centro Studi La Runa



Aggiornamento ai plugin per wordpress

12 Dicembre, 2007 (11:42) | Plugin WordPress | Di: admin

(english)

I just modified my two wordpress plugins Categories Autolink and Tags Autolink: the both are now at version 2.0.

Previous versions did show the original category (or tag) case, regardless to the contextual case. It often resulted in grammatical errors.

Now the plugins keep the textual case of the word (or words), regardless to the category or tag original case. So, for example, the word “storia” is not more turned into a link to “Storia” (with upper case), and if I created a tag “julius ceasar” (with lower case) it doesn’t affect an article about roman history, where the name will be turned into a link preserving the correct upper case.

It is possible to activate the both plugins: in case a word is at the same time a tag and a category, it would be turned into a link to the category.

It is possible to download the new plugins versions at the respective plugin-pages.

* * * * *

(italiano) 

Ho appena modificato i miei due plugin per wordpress Categories Autolink e Tags Autolink: ora sono entrambi alla versione 2.0.

Le precedenti versioni mostravano il maiscolo o minuscolo originale della categoria (o del tag/etichetta), indipendentemente dall’uso nel testo. Questo produceva diversi errori grammaticali.

Ora i due plugin mantengono il maiuscolo o il minuscolo della parola (o delle parole) nel testo, indipendentemente da quello originale della categoria o del tag/etichetta. Così, per esempio, la parola “storia” non viene più trasformata in un link verso “Storia” (con l’iniziale maiuscola), e se ho un tag/etichetta “julius ceasar” (con le iniziali minuscole) ciò non compromette un articolo di storia romana, dove il nome di Cesare verrà trasformato in un link, mantenendo però l’iniziale maiuscola corretta.

E’ possibile attivare entrambi i plugins: ove una parola corrisponda allo stesso tempo sia a un tag/etichetta sia a una categoria, essa verrà trasformata in un link alla categoria.

Si possono scaricare le nuove versioni dei plugin alle rispettive pagine.

Commenti

Commento di adedip
Ora: 19 Dicembre 2007, 16:08

Salve, da quando ho iniziato a testare wp2.3 mi sono ritrovato spesso a combattere con errori di conflitto con il file /wp-includes/pluggable.php alla riga 391 dove cerca di fare qualcosa con l’heder…nella fattispecie di questo plugin (secondo me eccezionale!) mi genera questo errore:


Warning: Cannot modify header information - headers already sent by (output started at /public_html/wp-content/plugins/tags-autolink-2.0.php:1) in /public_html/wp-includes/pluggable.php on line 391

Commento di admin
Ora: 19 Dicembre 2007, 16:35

Si, sono al corrente di questo problema. Io ho installato il plugin su due blog e il problema si manifesta in un modo diverso (l’editor tinymce funziona male) e nonostante ci abbia un po’ studiato non sono ancora riuscito a venirne a capo.

Oltretutto ho scoperto che ci sono anche dei temi grafici che producono lo stesso problema. Per adesso ho risolto la quesione in un modo molto (troppo) empirico: disattivo il plugin, scrivo il post e riattivo il plugin. Appena posso vedo comunque di risolvere il problema, che oltretutto si presenta inspiegabilmente solo su alcuni blog e su altri no.

Comunque purtroppo il report che hai postato indica che il problema è dovuto al plugin, non a pluggable.php

Commento di adedip
Ora: 19 Dicembre 2007, 16:41

perfetto…ok allora buon lavoro! e grazie per la risposta tempestiva :)

Commento di adedip
Ora: 19 Dicembre 2007, 16:42

ops..dimenticavo..(magari aiuta) a me ha dato questo problema al momento dell’attivazione del plugin…quindi anche il tuo modo empirico non aiuterebbe in questo caso :S

Commento di Gianmarco
Ora: 29 Dicembre 2007, 18:54

Ciao,
da qualche giorno sto usando il tuo plugin Categories Autolink.
Ho notato però che l’editor standard di WordPress scompare non appena attivo il plugin.Come mai?
Grazie

Saluti
Gianmarco

Commento di Calogero
Ora: 7 Aprile 2008, 20:14

Io ho installato entrambe i plugin. Non ne funziona nenche uno. La versione WP è la 2.3.3

Scrivi un commento





Time limit is exhausted. Please reload CAPTCHA.